
QGIS Application - Bug report #14137

2.5d symbology - height has no units

2016-01-19 12:59 AM - Nyall Dawson

Status: Closed

Priority: Normal

Assignee: Matthias Kuhn

Category: Symbology

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 22139

Description

I was getting some bad rendering using the 2.5d renderer until i realised that the height measurement is in whatever units the layer's CRS

is. So for layers using degrees, the default value is ridiculously high. I think it would be better for the height units to be selectable -- eg add

a unit combo next to it with choice of mm/map units/pixels.

History

#1 - 2016-01-19 11:39 PM - Matthias Kuhn

Converting the unit may be a non-uniform operation over the rendered extent.

What do you think about some logic to estimate a good default value (e.g. average perimeter of the first 20 objects divided by 4)?

#2 - 2016-02-04 11:10 AM - Giovanni Manghi

- Category set to Symbology

#3 - 2017-05-01 01:06 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#4 - 2019-03-09 04:09 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
